# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2009 Canonical Ltd.
# Author(s): Benjamin Drung <bdrung@ubuntu.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

_xpi_makefile_path ?= /usr/share/mozilla-devscripts

ifndef _xpi_data_Ubuntu
_xpi_data_Ubuntu = 1

include $(_xpi_makefile_path)/xpi-data-common.mk

abrowser-3.5_sol := 3.5b4
abrowser-3.5_eol := 3.5.*
abrowser-3.6_sol := 3.6a1pre
abrowser-3.6_eol := 3.6.*
firefox-3.0_sol := 3.0a8
firefox-3.0_eol := 3.0.*
firefox-3.5_sol := 3.5b4
firefox-3.5_eol := 3.5.*
firefox-3.6_sol := 3.6a1pre
firefox-3.6_eol := 3.6.*

thunderbird_sol := 2.0
thunderbird_eol := 2.0.0.*
thunderbird-3.0_sol := 3.0a1pre
thunderbird-3.0_eol := 3.0.*

seamonkey_sol := 1.1.6
seamonkey_eol := *

sunbird_sol := 0.5
sunbird_eol := *

prism_sol := 0.8
prism_eol := *

packages_{ec8030f7-c20a-464f-9b0e-13a3a9e97384} += firefox-3.6 abrowser-3.6 firefox-3.5 abrowser-3.5 firefox-3.0
packages_{3550f703-e582-4d05-9a08-453d09bdfdc6} += thunderbird-3.0 thunderbird
packages_{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a} += seamonkey
packages_{e2fda1a4-762b-4020-b5ad-a41df1933103} += sunbird
packages_prism@developer.mozilla.org += prism

endif
